Debian Bug report logs - #458873
ktoon: FTBFS: dapplication.cpp:(.text+0x13b7): undefined reference to `DDebug::DDebug(DebugType)'

version graph

Package: ktoon; Maintainer for ktoon is Juan Manuel Garcia Molina <juanma@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 3 Jan 2008 12:30:14 UTC

Severity: serious

Tags: patch

Found in version ktoon/0.8.1-3

Fixed in version ktoon/0.8.1-3.1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#458873; Package ktoon. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ktoon: FTBFS: dapplication.cpp:(.text+0x13b7): undefined reference to `DDebug::DDebug(DebugType)'
Date: Thu, 3 Jan 2008 12:37:26 +0100
Package: ktoon
version: 0.8.1-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080103 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on amd64.

Relevant part:

 > g++ -Wl,--no-undefined -shared -Wl,-soname,libdgui.so.1 -o libdgui.so.1.0.0 .obj/ccbar.o .obj/ccbutton.o .obj/collapsiblewidget.o .obj/danimwidget.o .obj/dapplication.o .obj/dcellview.o .obj/dcolorbutton.o .obj/dconfigurationdialog.o .obj/ddisplaypath.o .obj/deditspinbox.o .obj/delabel.o .obj/dflatbutton.o .obj/dfontchooser.o .obj/dformfactory.o .obj/dimagebutton.o .obj/doptionaldialog.o .obj/dradiobuttongroup.o .obj/drulerbase.o .obj/dsqueezelabel.o .obj/dtabdialog.o .obj/dtabwidget.o .obj/dtip.o .obj/dtoolbox.o .obj/dtreelistwidget.o .obj/dvhbox.o .obj/dwidgetlistview.o .obj/dwizard.o .obj/dxyspinbox.o .obj/kseparator.o .obj/daction.o .obj/dactionmanager.o .obj/dmdiwindow.o .obj/ddatepicker.o .obj/ddatetable.o .obj/dcommand.o .obj/dthemedocument.o .obj/dthememanager.o .obj/dclicklineedit.o .obj/dtreewidgetsearchline.o .obj/dbuttonbar.o .obj/dstackedmainwindow.o .obj/dtabbedmainwindow.o .obj/dtoolview.o .obj/dviewbutton.o .obj/dworkspacemainwindow.o .obj/dmainwindow.o .obj/moc_ccbutton.o .obj/moc_collapsiblewidget.o .obj/moc_dapplication.o .obj/moc_dcellview.o .obj/moc_dcolorbutton.o .obj/moc_dconfigurationdialog.o .obj/moc_ddisplaypath.o .obj/moc_deditspinbox.o .obj/moc_delabel.o .obj/moc_dflatbutton.o .obj/moc_dfontchooser.o .obj/moc_dimagebutton.o .obj/moc_doptionaldialog.o .obj/moc_dradiobuttongroup.o .obj/moc_drulerbase.o .obj/moc_dtabdialog.o .obj/moc_dtabwidget.o .obj/moc_dtip.o .obj/moc_dtoolbox.o .obj/moc_dtreelistwidget.o .obj/moc_dvhbox.o .obj/moc_dwidgetlistview.o .obj/moc_dwizard.o .obj/moc_dxyspinbox.o .obj/moc_kseparator.o .obj/moc_daction.o .obj/moc_dactionmanager.o .obj/moc_dmainwindow.o .obj/moc_dmdiwindow.o .obj/moc_ddatepicker.o .obj/moc_ddatetable.o .obj/moc_dcommand.o .obj/moc_dtreewidgetsearchline.o .obj/moc_dbuttonbar.o .obj/moc_dstackedmainwindow.o .obj/moc_dtabbedmainwindow.o .obj/moc_dtoolview.o .obj/moc_dviewbutton.o .obj/moc_dworkspacemainwindow.o .obj/qrc_images.o   -L/usr/lib -laspell -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lQtXml -lQtGui -lQtCore -lpthread 
 > .obj/dapplication.o: In function `DApplication::DApplication(int&, char**)':
 > dapplication.cpp:(.text+0x13b7): undefined reference to `DDebug::DDebug(DebugType)'
 > dapplication.cpp:(.text+0x1491): undefined reference to `DDebug::~DDebug()'
 > dapplication.cpp:(.text+0x15ad): undefined reference to `DDebug::~DDebug()'
 > .obj/dapplication.o: In function `DApplication::~DApplication()':
 > dapplication.cpp:(.text+0x1621): undefined reference to `DDebug::DDebug(DebugType)'
 > dapplication.cpp:(.text+0x16f8): undefined reference to `DDebug::~DDebug()'
 > dapplication.cpp:(.text+0x16fd): undefined reference to `DConfig::instance()'
 > dapplication.cpp:(.text+0x1705): undefined reference to `DConfig::sync()'
 > dapplication.cpp:(.text+0x17ad): undefined reference to `DDebug::~DDebug()'
 > .obj/dapplication.o: In function `DApplication::~DApplication()':
 > dapplication.cpp:(.text+0x1831): undefined reference to `DDebug::DDebug(DebugType)'
 > dapplication.cpp:(.text+0x1908): undefined reference to `DDebug::~DDebug()'
 > dapplication.cpp:(.text+0x190d): undefined reference to `DConfig::instance()'
 > dapplication.cpp:(.text+0x1915): undefined reference to `DConfig::sync()'
 > dapplication.cpp:(.text+0x19c0): undefined reference to `DDebug::~DDebug()'
 > .obj/dapplication.o: In function `DApplication::~DApplication()':
 > dapplication.cpp:(.text+0x1a41): undefined reference to `DDebug::DDebug(DebugType)'
 > dapplication.cpp:(.text+0x1b18): undefined reference to `DDebug::~DDebug()'
 > dapplication.cpp:(.text+0x1b1d): undefined reference to `DConfig::instance()'
 > dapplication.cpp:(.text+0x1b25): undefined reference to `DConfig::sync()'
 > dapplication.cpp:(.text+0x1bcd): undefined reference to `DDebug::~DDebug()'
 > .obj/dapplication.o: In function `DApplication::DApplication(int&, char**)':
 > dapplication.cpp:(.text+0x1ca7): undefined reference to `DDebug::DDebug(DebugType)'
 > dapplication.cpp:(.text+0x1d81): undefined reference to `DDebug::~DDebug()'
 > dapplication.cpp:(.text+0x1e9d): undefined reference to `DDebug::~DDebug()'
 > .obj/dcellview.o: In function `DCellView::selectCell(int, int)':
 > dcellview.cpp:(.text+0x26b5): undefined reference to `DDebug::DDebug(DebugType)'
 > dcellview.cpp:(.text+0x27ab): undefined reference to `DDebug::~DDebug()'
 > dcellview.cpp:(.text+0x2991): undefined reference to `DDebug::~DDebug()'
 > .obj/dcellview.o: In function `DCellViewItemDelegate::paint(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const':
 > dcellview.cpp:(.text+0x2d28): undefined reference to `DGradientAdjuster::adjustGradient(QGradient const*, QRect const&)'
 > .obj/ddisplaypath.o: In function `DDisplayPath::paintEvent(QPaintEvent*)':
 > ddisplaypath.cpp:(.text+0x946): undefined reference to `DGradientAdjuster::adjustGradient(QGradient const*, QRect const&)'
 > .obj/drulerbase.o: In function `DRulerBase::setSeparation(int)':
 > drulerbase.cpp:(.text+0xe1e): undefined reference to `DDebug::DDebug(DebugType)'
 > drulerbase.cpp:(.text+0xe99): undefined reference to `DDebug::~DDebug()'
 > drulerbase.cpp:(.text+0xed2): undefined reference to `DDebug::~DDebug()'
 > .obj/dtip.o: In function `DTipDatabase::DTipDatabase(QString const&)':
 > dtip.cpp:(.text+0x572): undefined reference to `DAlgorithm::random()'
 > .obj/dtip.o: In function `DTipDatabase::DTipDatabase(QString const&)':
 > dtip.cpp:(.text+0x5f2): undefined reference to `DAlgorithm::random()'
 > .obj/dtip.o: In function `DTipDialog::setShowOnStart()':
 > dtip.cpp:(.text+0x650): undefined reference to `DConfig::instance()'
 > dtip.cpp:(.text+0x65d): undefined reference to `DConfig::beginGroup(QString const&)'
 > dtip.cpp:(.text+0x69b): undefined reference to `DConfig::instance()'
 > dtip.cpp:(.text+0x6ab): undefined reference to `DConfig::setValue(QString const&, QVariant const&)'
 > .obj/dtip.o: In function `DTipDialog::setupGUI()':
 > dtip.cpp:(.text+0xd0a): undefined reference to `DConfig::instance()'
 > dtip.cpp:(.text+0xd1a): undefined reference to `DConfig::beginGroup(QString const&)'
 > dtip.cpp:(.text+0xd69): undefined reference to `DConfig::instance()'
 > dtip.cpp:(.text+0xd84): undefined reference to `DConfig::value(QString const&, QVariant const&) const'
 > .obj/dtreelistwidget.o: In function `DTreeListWidget::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)':
 > dtreelistwidget.cpp:(.text+0x609): undefined reference to `DDebug::DDebug(DebugType)'
 > dtreelistwidget.cpp:(.text+0x6db): undefined reference to `DDebug::~DDebug()'
 > dtreelistwidget.cpp:(.text+0x74b): undefined reference to `DDebug::~DDebug()'
 > .obj/dvhbox.o: In function `DVHBox::moveWidgetUp(QWidget*)':
 > dvhbox.cpp:(.text+0x698): undefined reference to `DDebug::DDebug(DebugType)'
 > dvhbox.cpp:(.text+0x73b): undefined reference to `DDebug::~DDebug()'
 > dvhbox.cpp:(.text+0x758): undefined reference to `DDebug::DDebug(DebugType)'
 > dvhbox.cpp:(.text+0x7e6): undefined reference to `DDebug::~DDebug()'
 > dvhbox.cpp:(.text+0x83e): undefined reference to `DDebug::DDebug(DebugType)'
 > dvhbox.cpp:(.text+0x886): undefined reference to `DDebug::~DDebug()'
 > dvhbox.cpp:(.text+0x8ac): undefined reference to `DDebug::~DDebug()'
 > dvhbox.cpp:(.text+0x8d8): undefined reference to `DDebug::~DDebug()'
 > .obj/dwizard.o: In function `DWizard::next()':
 > dwizard.cpp:(.text+0x1119): undefined reference to `DDebug::DDebug(DebugType)'
 > dwizard.cpp:(.text+0x11e1): undefined reference to `DDebug::~DDebug()'
 > dwizard.cpp:(.text+0x128b): undefined reference to `DDebug::~DDebug()'
 > .obj/dxyspinbox.o: In function `DXYSpinBox::DXYSpinBox(QString const&, QWidget*)':
 > dxyspinbox.cpp:(.text+0x54d): undefined reference to `DApplicationProperties::instance()'
 > .obj/dxyspinbox.o: In function `DXYSpinBox::DXYSpinBox(QString const&, QWidget*)':
 > dxyspinbox.cpp:(.text+0xa6d): undefined reference to `DApplicationProperties::instance()'
 > .obj/dxyspinbox.o: In function `DXYSpinBox::toggleModify()':
 > dxyspinbox.cpp:(.text+0xcd3): undefined reference to `DApplicationProperties::instance()'
 > dxyspinbox.cpp:(.text+0xdec): undefined reference to `DApplicationProperties::instance()'
 > .obj/dactionmanager.o: In function `DActionManager::find(QString const&) const':
 > dactionmanager.cpp:(.text+0x73e): undefined reference to `DDebug::DDebug(DebugType)'
 > dactionmanager.cpp:(.text+0x813): undefined reference to `DDebug::~DDebug()'
 > dactionmanager.cpp:(.text+0x823): undefined reference to `DDebug::~DDebug()'
 > .obj/dthememanager.o: In function `DThemeManager::applyTheme(DThemeDocument const&)':
 > dthememanager.cpp:(.text+0xe5e): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0xeb2): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0xf63): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0xfe8): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x10a1): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x10cd): undefined reference to `DDebug::~DDebug()'
 > .obj/dthememanager.o: In function `DThemeManager::fatalError(QXmlParseException const&)':
 > dthememanager.cpp:(.text+0x11ba): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0x1211): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x123f): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0x143a): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x1491): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x15d0): undefined reference to `DDebug::~DDebug()'
 > .obj/dthememanager.o: In function `DThemeManager::applyTheme(QString const&)':
 > dthememanager.cpp:(.text+0x16d4): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0x1760): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x1856): undefined reference to `DDebug::~DDebug()'
 > .obj/dthememanager.o: In function `DThemeManager::error(QXmlParseException const&)':
 > dthememanager.cpp:(.text+0x1920): undefined reference to `DDebug::DDebug(DebugType)'
 > dthememanager.cpp:(.text+0x19fa): undefined reference to `DDebug::~DDebug()'
 > dthememanager.cpp:(.text+0x1a44): undefined reference to `DDebug::~DDebug()'
 > collect2: ld returned 1 exit status
 > make[4]: *** [libdgui.so.1.0.0] Error 1
 > make[4]: Leaving directory `/build/user/ktoon-0.8.1/src/dlib/dgui'
 > make[3]: *** [sub-dgui-make_default] Error 2
 > make[3]: Leaving directory `/build/user/ktoon-0.8.1/src/dlib'
 > make[2]: *** [sub-dlib-make_default] Error 2
 > make[2]: Leaving directory `/build/user/ktoon-0.8.1/src'
 > make[1]: *** [sub-src-make_default] Error 2
 > make[1]: Leaving directory `/build/user/ktoon-0.8.1'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/03

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#458873; Package ktoon. Full text and rfc822 format available.

Acknowledgement sent to dAniel hAhler <debian-bugs@thequod.de>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. Full text and rfc822 format available.

Message #10 received at 458873@bugs.debian.org (full text, mbox):

From: dAniel hAhler <debian-bugs@thequod.de>
To: Debian Bug Tracking System <458873@bugs.debian.org>
Subject: ktoon: Fix FTBFS / drop obsolete patch
Date: Sat, 05 Jan 2008 18:46:02 +0100
[Message part 1 (text/plain, inline)]
Package: ktoon
Version: 0.8.1-3
Followup-For: Bug #458873
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu hardy ubuntu-patch

The attached patch fixes the FTBFS and drops the libminghack patch,
which would cause libming to not be detected anymore.


*** /tmp/tmppsNTUD
In Ubuntu, we've applied the attached patch to achieve the following:

  * Fix build on unix (LP: #180470)
    - added debian/patches/80_fix_build_on_unix.dpatch
  * Drop debian/patches/20_libminghack:
    ming-config has moved to /usr/bin/ming-config

We thought you might be interested in doing the same. 
[tmpb3f-O8 (text/plain, attachment)]

Tags added: patch Request was from dAniel hAhler <debian-bugs@thequod.de> to control@bugs.debian.org. (Sat, 05 Jan 2008 18:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Manuel Garcia Molina <juanma@debian.org>:
Bug#458873; Package ktoon. Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fboudra@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juan Manuel Garcia Molina <juanma@debian.org>. Full text and rfc822 format available.

Message #17 received at 458873@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@gmail.com>
To: 458873@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ktoon: FTBFS: dapplication.cpp:(.text+0x13b7): undefined reference to `DDebug::DDebug(DebugType)'
Date: Sat, 12 Jan 2008 18:39:59 +0100
[Message part 1 (text/plain, inline)]
tags + pending

thanks

Hi Juan Manuel,

i uploaded ktoon 0.8.1-3.1 to delayed 2 days during the Zurich BSP.

cheers,

Fathi
[ktoon_0.8.1-3.1.diff.gz (application/x-gzip, attachment)]
[ktoon_0.8.1-3.1.dsc (text/plain, attachment)]
[ktoon_0.8.1-3.1_source.changes (text/plain, attachment)]

Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 458873-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 458873-close@bugs.debian.org
Subject: Bug#458873: fixed in ktoon 0.8.1-3.1
Date: Sun, 13 Jan 2008 21:17:03 +0000
Source: ktoon
Source-Version: 0.8.1-3.1

We believe that the bug you reported is fixed in the latest version of
ktoon, which is due to be installed in the Debian FTP archive:

ktoon_0.8.1-3.1.diff.gz
  to pool/main/k/ktoon/ktoon_0.8.1-3.1.diff.gz
ktoon_0.8.1-3.1.dsc
  to pool/main/k/ktoon/ktoon_0.8.1-3.1.dsc
ktoon_0.8.1-3.1_amd64.deb
  to pool/main/k/ktoon/ktoon_0.8.1-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated ktoon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 16:46:15 +0100
Source: ktoon
Binary: ktoon
Architecture: source amd64
Version: 0.8.1-3.1
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 ktoon      - 2D animation toolkit
Closes: 458873
Changes: 
 ktoon (0.8.1-3.1) unstable; urgency=low
 .
   * Non-maintainer upload. Closes: 458873.
   * Bump Standard-Version to 3.7.3.
   * Use Homepage field.
   * Clean up debian/dirs. Fix lintian warning.
   * Build with --no-undefined and --as-needed linker flags.
   * Merge Ubuntu changes:
     - add debian/patches/80_fix_build_on_unix
       fix build on unix
     - drop debian/patches/20_libminghack
       ming-config has moved to /usr/bin/ming-config
Files: 
 2384adb8f709ff7f367fa8e97903be81 940 graphics optional ktoon_0.8.1-3.1.dsc
 f2bd4964d0df947e6af508713134600b 33003 graphics optional ktoon_0.8.1-3.1.diff.gz
 00028978e61d62854fa1edf6fc156627 2547464 graphics optional ktoon_0.8.1-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR4j1hIz1NfZqpXL3AQI0EQP/XXmlAnxrNN/rvG4LpVTWw6HkIglSgdp9
apEpFZbQznLHYXPldERtL6Z66tJernjj1m6KwvTDGjcSFcZP4vREXMqrQjrAMfT8
Y95muQkTpo/oK5ZccXCkM2R8mlMjl7XfhUBgUgi0FlnHmwkGvRcqQya5i8yfQTEp
1a2F4nDAjSM=
=q5W1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Feb 2008 07:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:09:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.